# Dispute Details

In details page the entire details of the dispute will be shown including transaction ID, Customer name, customer email, Merchant ID, Merchant name, merchant email etc. Along with this details dispute journey and documents submitted will be shown for reference.

```http
GET https://stgsecctrl.tutelar.io/api/v1/dispute/view/:disputeId
```

**Response codes**

* `200` : Success response
* `422` : Unprocessable Entity
* `401` : Unauthorized access
* `404` : Request not found
* `500` : Internal Server Error

## Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "Dispute details are",
  "data": {
    "documents": {
      "level_1": [
        {
          "key": "dispute/reject/TUTDINE00039/dispute_uVxLt1Mh/file-1712317252889-1712317252902.pdf",
          "_id": "660fe368eddcde09320e2990"
        },
        {
          "key": "dispute/reject/TUTDINE00039/dispute_uVxLt1Mh/file-1712317261206-1712317261248.png",
          "_id": "660fe368eddcde09320e2991"
        },
        {
          "key": "dispute/reject/TUTDINE00039/dispute_uVxLt1Mh/file-1712317286795-1712317286848.png",
          "_id": "660fe368eddcde09320e2994"
        }
      ],
      "level_2": [],
      "level_3": []
    },
    "level": "level_3",
    "status": "open",
    "verdict": "pending",
    "createdAt": "2024-04-05T11:37:21.839Z",
    "updatedAt": "2024-04-08T04:54:08.943Z",
    "disputeId": "dispute_uVxLt1Mh",
    "merchantName": "Johnson",
    "merchantId": "TUTDINEJOHN00006",
    "merchantMobile": "9588588573",
    "businessName": "Johnson Travels",
    "merchantEmail": "johnson.a@ippopay.com",
    "transactionId": "Trans474765400",
    "customerName": "virat",
    "customerEmail": "virat@gmail.com",
    "customerMobile": "9787956464",
    "amount": 500000,
    "disputeAmountTdrDetails": {
      "type": "include",
      "amountType": "price",
      "amount": 10
    },
    "disputeAmountTaxDetails": {
      "type": "exclude",
      "amountType": "percentage",
      "amount": 23.36
    },
    "disputeAmount": 1000,
    "paymentType": {
      "name": "UPI",
      "code": "upi"
    },
    "transactionDate": "2024-04-03T00:00:00.000Z",
    "remitterBank": "AXIS",
    "acquirerBank": {
      "name": "Adilabad District Co-operative Central Bank",
      "code": "ADDX"
    },
    "nodalAccountNo": "74573478734",
    "paymentInstrumentId": "payment_84746",
    "gatewayOrderId": "gateway",
    "reasonCode": "1065",
    "reasonCategory": "Service level dispute",
    "dueDate": 20240602,
    "internalDueDate": 20240418,
    "disputeType": "dispute",
    "sendEmail": false,
    "disputeStatus": "reopened",
    "comments": [
      {
        "created_by": "client",
        "created_id": "TUTDINE00039",
        "comment": "Slove my problem",
        "action": "Raised",
        "date": "2024-04-05T11:37:21.828Z",
        "_id": "660fe271eddcde09320e2913"
      },
      {
        "created_by": "client",
        "created_id": "TUTDINE00039",
        "comment": "53fhbgfdghfdghdfgfdbhg",
        "action": "Reopened",
        "date": "2024-04-08T04:54:08.173Z",
        "_id": "66137870eddcde09320e312c"
      }
    ]
  }
}
```

## Failure Response

```json
{
  "status": false,
  "code": 422,
  "message": "No data found"
}
```

### Additional error examples

**No data found**

```json
{
  "status": false,
  "code": 300,
  "message": "No data found"
}
```

**Unauthorized access**

```json
{
  "success": false,
  "code": 300,
  "message": "Unauthorized access",
  "data": {}
}
```

**Request not found**

```json
{
  "success": false,
  "code": 300,
  "message": "Request not found",
  "data": {}
}
```

**Something went wrong**

```json
{
  "success": false,
  "code": 300,
  "message": "Something went wrong",
  "data": {}
}
```

## Response parameter description

| Response parameter      | Type     | Description                                                                                                                                                                                                                                                                                |
| ----------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| documents               | Object   | Documents refers to the set of documents that are submitted in order to challenge the dispute. This documents field contains `level_1`, `level_2` and `level_3` each which is an array of objects, which contains 2 fields: `key` data type is `string` and `_id` data type is `objectId`. |
| Level                   | String   | Following the dispute raised in the panel, the client can use the edit option in the action menu to change level. The level is mainly based on the priority of the dispute raised by the acquirer bank.                                                                                    |
| status                  | String   | Whenever a dispute is raised the status of the dispute will be updated in order to identify whether the raised dispute is in open or closed status.                                                                                                                                        |
| verdict                 | String   | After evaluating the raised dispute the verdict will be uploaded such as won or loss.                                                                                                                                                                                                      |
| createdAt               | DateTime | Created date and time of dispute.                                                                                                                                                                                                                                                          |
| updatedAt               | DateTime | Updated date and time of dispute.                                                                                                                                                                                                                                                          |
| disputeId               | String   | A unique ID will be followed in order to differentiate the disputes raised `dispute_uVxLt1Mh`.                                                                                                                                                                                             |
| merchantName            | String   | Merchant name will be updated while creating the dispute (`Johnson`).                                                                                                                                                                                                                      |
| merchantId              | String   | A unique ID will be followed in order to save the merchants vice versa and differentiate the client `TUTDINEJOHN00006`.                                                                                                                                                                    |
| merchantMobile          | String   | Merchant mobile number will be updated while creating the dispute `9588588573`.                                                                                                                                                                                                            |
| businessName            | String   | Merchant business name will be uploaded while creating the dispute (`Johnson Travels`).                                                                                                                                                                                                    |
| merchantEmail           | String   | Merchant email address will be uploaded while creating the dispute (`johnson.a@ippopay.com`).                                                                                                                                                                                              |
| transactionId           | String   | The transaction ID that is registered while doing the transaction will be updated `Trans474765400`.                                                                                                                                                                                        |
| customerName            | String   | Customer name will be updated while creating the dispute (`Johnsonvirat`).                                                                                                                                                                                                                 |
| customerEmail           | String   | Customer email address will be uploaded while creating the dispute `virat@gmail.com`.                                                                                                                                                                                                      |
| customerMobile          | String   | Customer mobile number will be updated while creating the dispute `95885885739787956464`.                                                                                                                                                                                                  |
| amount                  | Number   | The transactional amount will be updated `500000`.                                                                                                                                                                                                                                         |
| disputeAmountTdrDetails | Object   | The TDR type, amount, amount type is using to calculate the TDR amount from dispute amount. `disputeAmountTdrDetails` has fields `type`, `amountType` (type as string). `amount` data type is `Number`.                                                                                    |
| disputeAmountTaxDetails | Object   | The TAX type, amount, amount type is using to calculate the TAX amount from dispute amount. `disputeAmountTaxDetails` has fields `type`, `amountType` (type as string). `amount` data type is `Number`.                                                                                    |
| disputeAmount           | Number   | Dispute amount is also known as the challenged amount that is raised by the customer `1000`.                                                                                                                                                                                               |
| paymentType             | Object   | Payment type is used to mention the payment type the customer is used to paying the required amount. Payment type includes credit card, debit card, POS. The `paymentType` contains 2 fields: `name` data type is string and `code` data type is string.                                   |
| transactionDate         | DateTime | Transaction done date is updated `2024-04-03T00:00:00.000Z`.                                                                                                                                                                                                                               |
| remitterBank            | String   | Remitter bank is also known as the customers bank through which the transaction is made (`AXIS bank`).                                                                                                                                                                                     |
| acquirerBank            | Object   | Merchants bank is known as the acquirer bank `{ name, code }`. The `acquirerBank` contains 2 fields: `name` data type is `string` and `code` data type is `String`.                                                                                                                        |
| nodalAccountNo          | String   | Merchants settlement account is known as the nodal account `74573478734`.                                                                                                                                                                                                                  |
| paymentInstrumentId     | String   | The payments instruments such POS and carding machine have an unique ID which is known as payment instrument ID `payment_84746`.                                                                                                                                                           |
| gatewayOrderId          | String   | The ID that is registered while an order is made in the respective merchants website is called as gateway order ID. Each order have an unique order ID `gateway`.                                                                                                                          |
| reasonCode              | String   | `1065`                                                                                                                                                                                                                                                                                     |
| reasonCategory          | String   | `Service level dispute`                                                                                                                                                                                                                                                                    |
| dueDate                 | Number   | The date provided by a client to disclose the respective dispute. The due date is applicable only (`20240602`).                                                                                                                                                                            |
| internalDueDate         | Number   | Internal due date refers to the final date that a resolution need to be provided for an dispute `20240418`.                                                                                                                                                                                |
| disputeType             | String   | Dispute type is used to identify what kind of dispute is raised by the customer. Various types of disputes are as follows fraud, chargeback, BO, complaint (`dispute`).                                                                                                                    |
| sendEmail               | Boolean  | The clients mail that is registered to receive the dispute complaint is mentioned here.                                                                                                                                                                                                    |
| disputeStatus           | String   | The dispute status is mentioned whether the raised dispute is open, closed or reopened.                                                                                                                                                                                                    |
| comments                | Array    | This comments field is an array of objects, `created_by`, `created_id`, `comment`, `action` (type as string). `date` data type is `DateTime`, `_id` data type is `objectId`.                                                                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/dispute-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
